Package org.eclipse.cdt.core.dom.ast

# Enum Class IASTBinaryTypeIdExpression.Operator

java.lang.Object
java.lang.Enum<IASTBinaryTypeIdExpression.Operator>
org.eclipse.cdt.core.dom.ast.IASTBinaryTypeIdExpression.Operator

All Implemented Interfaces:
  `Serializable`, `Comparable<IASTBinaryTypeIdExpression.Operator>`, `java.lang.constant.Constable`

Enclosing interface:
  IASTBinaryTypeIdExpression

public static enum IASTBinaryTypeIdExpression.Operator extends Enum<IASTBinaryTypeIdExpression.Operator>
Built-in type traits of g++.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`__is_assignable`
`__is_base_of`
`__is_nothrow_assignable`
`__is_same`
`__is_trivially_assignable`

## Method Summary

Modifier and Type
Method
Description
`static IASTBinaryTypeIdExpression.Operator`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static IASTBinaryTypeIdExpression.Operator[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### __is_base_of

public static final IASTBinaryTypeIdExpression.Operator __is_base_of

### __is_trivially_assignable

public static final IASTBinaryTypeIdExpression.Operator __is_trivially_assignable

Since:
  6.0

### __is_same

public static final IASTBinaryTypeIdExpression.Operator __is_same

Since:
  7.1

### __is_assignable

public static final IASTBinaryTypeIdExpression.Operator __is_assignable

Since:
  8.1

### __is_nothrow_assignable

public static final IASTBinaryTypeIdExpression.Operator __is_nothrow_assignable

Since:
  8.1

## Method Details

### values

public static IASTBinaryTypeIdExpression.Operator[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static IASTBinaryTypeIdExpression.Operator valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null